#!/bin/bash

#$ -N Tea-hifiasm
#$ -cwd
#$ -o logs/${JOB_NAME}.${JOB_ID}.${SGE_TASK_ID}.log
#$ -e logs/${JOB_NAME}.${JOB_ID}.${SGE_TASK_ID}.err
#$ -pe smp 70
#$ -l h_vmem=14g
#$ -t 1:3
#$ -tc 3
####################################
READS=/mnt/data/arslan/Teas/00_Reads
OUT=/mnt/data/arslan/Teas/01_Assembly/Hifiasm

mkdir -p $OUT
cd $OUT

export PATH=/mnt/bin/hifiasm/hifiasm-0.19.5/hifiasm-0.19.5/:$PATH

echo -e 'AJ\nZJ\nL618' >baseNames.txt

SEEDFILE="baseNames.txt"
SEED=$(awk "NR==$SGE_TASK_ID" $SEEDFILE)

hifiasm -t ${NSLOTS} -s 0.35 -o ${SEED} ${READS}/${SEED}.fastq.gz

awk '/^S/{print ">"$2;print $3}' ${SEED}.bp.p_ctg.gfa > ${SEED}.bp.p_ctg.fasta
