#!/bin/bash

#$ -N RagTag
#$ -cwd
#$ -o ../logs/$JOB_NAME.$JOB_ID.log
#$ -e ../logs/$JOB_NAME.$JOB_ID.err
#$ -P Test.p
#$ -pe smp 100
#$ -l h_vmem=10g

#####################################
REF=AJ_chr.fasta

conda activate /mnt/bin/ragtag/env

mkdir -p scaffolding

ragtag.py scaffold -t ${NSLOTS} -u --debug \
-o  /mnt/data/arslan/Teas/01_Assembly/scaffolding/ZJ-scaffold \
${REF} \
/mnt/data/arslan/Teas/01_Assembly/Purge/ZJ_purge/ZJ.curated.fasta

sed -i 's/_RagTag//g' /mnt/data/arslan/Teas/01_Assembly/scaffolding/ZJ-scaffold/ragtag.scaffold.fasta
ln -s /mnt/data/arslan/Teas/01_Assembly/scaffolding/ZJ-scaffold/ragtag.scaffold.fasta /mnt/data/arslan/Teas/01_Assembly/scaffolding/ZJ-scaffold/ZJ_rename.scaffold.fasta
echo -e 'chr01\nchr02\nchr03\nchr04\nchr05\nchr06\nchr07\nchr08\nchr09\nchr10\nchr11\nchr12\nchr13\nchr14\nchr15' >chr.list
seqtk subseq /mnt/data/arslan/Teas/01_Assembly/scaffolding/ZJ-scaffold/ZJ_rename.scaffold.fasta chr.list > /mnt/data/arslan/Teas/01_Assembly/scaffolding/ZJ-scaffold/ZJ_rename.scaffold.only_chr.fasta

ragtag.py scaffold -t ${NSLOTS} -u --debug \
-o  /mnt/data/arslan/Teas/01_Assembly/scaffolding/L618-scaffold \
${REF} \
/mnt/data/arslan/Teas/01_Assembly/Purge/L618_purge/L618.curated.fasta

sed -i 's/_RagTag//g' /mnt/data/arslan/Teas/01_Assembly/scaffolding/L618-scaffold/ragtag.scaffold.fasta
ln -s /mnt/data/arslan/Teas/01_Assembly/scaffolding/L618-scaffold/ragtag.scaffold.fasta /mnt/data/arslan/Teas/01_Assembly/scaffolding/L618-scaffold/L618_rename.scaffold.fasta
seqtk subseq /mnt/data/arslan/Teas/01_Assembly/scaffolding/L618-scaffold/L618_rename.scaffold.fasta chr.list > /mnt/data/arslan/Teas/01_Assembly/scaffolding/L618-scaffold/L618_rename.scaffold.only_chr.fasta
