#$ -N Hlx_Tea1
#$ -o ../logs/$JOB_NAME.$JOB_ID.log
#$ -e ../logs/$JOB_NAME.$JOB_ID.err
#$ -pe smp 1
#$ -l h_vmem=128g,gpu=1
#$ -P GPU.p
#$ -cwd

##################################
GENOME_DIR=/mnt/data/arslan/Teas/01_Assembly/scaffolding
OUT_dir=/mnt/data/arslan/Teas/03_Annotation/Gene_finding/Helixer

source /mnt/bin/helixer/env/bin/activate
export PATH="/mnt/bin/gffread/gffread-0.12.4/:$PATH"

echo -e 'AJ\nZJ\nL618' >baseNames.txt

SEEDFILE="baseNames.txt"
SEED=$(awk "NR==$SGE_TASK_ID" $SEEDFILE)

mkdir -p $OUT_dir}/${SEED}
cd $OUT_dir}/${SEED}

fasta2h5.py --species ${SEED} --h5-output-path ${SEED}.genome.h5 --fasta-path ${GENOME_DIR}/${SEED}-scaffold/${SEED}_rename.scaffold.fasta

HybridModel.py --load-model-path Tea_helixer_model.h5 \
--test-data ${SEED}.genome.h5 --overlap --val-test-batch-size 32 -v


helixer_post_bin ${SEED}.genome.h5 predictions.h5 100 0.1 0.90 60 ${SEED}.90-60.gff3

