#!/bin/bash

#$ -N stringtie
#$ -cwd
#$ -o ../logs/$JOB_NAME.$JOB_ID.log
#$ -e ../logs/$JOB_NAME.$JOB_ID.err
#$ -pe smp 56
#$ -l h_vmem=4.4G

##############################
INPUT=/mnt/data/arslan/Teas/03_Annotation/Gene_finding/Mapping/output/Hisat_ZJ
OUT=/mnt/data/arslan/Teas/03_Annotation/Gene_finding/Mapping/output/Stringtie_ZJ

export PATH="/mnt/data/arslan/tool/stringtie-2.2.1.Linux_x86_64/:$PATH"

mkdir -p ${OUT}

realpath $INPUT/${SEED}_IL.bam >IL.bam.list

samtools merge -@ ${NSLOTS} -f -b IL.bam.list $INPUT/ZJ_all.bam
samtools index -@ ${NSLOTS} $INPUT/ZJ_all.bam
rm $INPUT/*_IL.bam

stringtie -p ${NSLOTS} -c 50 -l ZJ_IL -o ${OUT}/ZJ_IL_c50.gtf $INPUT/ZJ_all.bam
