!/bin/bash

#$ -N Tea-Purge-map_s1
#$ -cwd
#$ -o logs/${JOB_NAME}.${JOB_ID}.${SGE_TASK_ID}.log
#$ -e logs/${JOB_NAME}.${JOB_ID}.${SGE_TASK_ID}.err
#$ -pe smp 80
#$ -l h_vmem=12g
#$ -t 1:3
#$ -tc 3
####################################
READS=/mnt/data/arslan/Teas/00_Reads
GENOME=/mnt/data/arslan/Teas/01_Assembly/Hifiasm
OUT=/mnt/data/arslan/Teas/01_Assembly/Purge

mkdir -p $OUT
cd $OUT

conda activate purgehap-env

echo -e 'AJ\nZJ\nL618' >baseNames.txt

SEEDFILE="baseNames.txt"
SEED=$(awk "NR==$SGE_TASK_ID" $SEEDFILE)


minimap2 -t ${NSLOTS} -ax map-pb ${GENOME}/${SEED}.bp.p_ctg.fasta ${READS}/${SEED}.fastq.gz --secondary=no \
    | samtools sort -@ ${NSLOTS} -m 2G -o ${SEED}.bam

mkdir ${SEED}_purge 
cd ${SEED}
mv ../${SEED}.bam .

# Step1
purge_haplotigs hist -b ${SEED}.bam -g ${GENOME}/${SEED}.bp.p_ctg.fasta -t ${NSLOTS}
